View Issue Details

IDProjectCategoryView StatusLast Update
0000187Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version2.1Fixed in Version2.1 
Summary0000187: Enable extended templating expression for iterator
DescriptionThe iterator currently supports only dedicated tags such as

<iterator:placeholder />
<item:placeholder />

to display content.

To ease output generation it should support the extended templating sytax described under http://adventure-php-framework.org/Page/047-Templates#Chapter-3-Extended-templating. This means, that place holders within the iterator (not item!) can be declared as e.g.

${foo}

Within an iterator item, object access on the respective item of each loop run should be accessible via the extended templating feature in addition to place holders.

Example:

<html:iterator name="coupons">
   ${surrounding-text}
   <iterator:item>
      <!-- item place holders set within controller -->
      <div id="${id}" class="${classes}">
         <div class="media">
            <div class="headline-container">
               <!-- direct access to the loop item -->
               <h3>${item->getHeadline()}</h3>
            </div>
            <div class="media-body">
               <div class="coupon-expiry">
                  <span class="expiry-label">${item->expiryLabel()}</span>
                  <span class="expiry-date">${item->expiryDate()}</span>
               </div>
            </div>
         </div>
      </div>
   </iterator:item>
</html:iterator>
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Relationships

related to 0000135 closedChristianAchatz Implementation of advanced templating proposal 
related to 0000105 closedChristianAchatz Fallback-Item für Iterator mit leerem Datencontainer 
related to 0000189 closedChristianAchatz Allow access to status variables within one loop run for iterator 

Activities

ChristianAchatz

2014-05-12 00:32

administrator   ~0000335

Documentation partly finished.

Issue History

Date Modified Username Field Change
2014-05-09 18:35 ChristianAchatz New Issue
2014-05-09 18:35 ChristianAchatz Status new => assigned
2014-05-09 18:35 ChristianAchatz Assigned To => ChristianAchatz
2014-05-09 18:35 ChristianAchatz Relationship added related to 0000135
2014-05-09 18:37 ChristianAchatz Relationship added related to 0000105
2014-05-12 00:32 ChristianAchatz Note Added: 0000335
2014-05-12 00:32 ChristianAchatz Status assigned => resolved
2014-05-12 00:32 ChristianAchatz Fixed in Version => 2.1
2014-05-12 00:32 ChristianAchatz Resolution open => fixed
2014-05-12 09:07 ChristianAchatz Issue cloned: 0000189
2014-05-12 09:07 ChristianAchatz Relationship added related to 0000189
2015-10-12 12:20 ChristianAchatz Status resolved => closed